Skip to navigation

Update Tax Rates

Update one or more tax rates. Only the tax rate id field is required. Fields unspecified by the request will retain their current state.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects a list of objects.
idintegerRequired
Tax Rate ID. Internal identifier to update and delete a specific tax rate.
class_rateslist of objectsOptional
Tax rates for tax classes. You must assign at least one tax rate for each tax class defined on a store.
enabledbooleanOptionalDefaults to true
Indicates whether a tax rate is enabled. Tax operations are only for enabled zones.
namestringOptional

The human-readable name for this tax zone. The name appears in the store control panel and may be visible to shoppers, depending on store tax settings.

priorityintegerOptionalDefaults to 1
Allows for compounding tax rates, common in certain jurisdictions.
tax_zone_idintegerOptional
ID of an associated tax zone. You must associate a tax rate with a tax zone.

Response

OK
datalist of objectsOptional
metaobjectOptional
Response metadata.